package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 评测与职工对象 kh_pc_emp
 *
 * @author hs
 * @date 2025-06-23
 */
public class KhPcEmp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 评测id */
    @Excel(name = "评测id")
    private Long pcId;

    /** 被考核对象(0部门1职工) */
    @Excel(name = "被考核对象(0部门1职工)")
    private String bkhdxType;

    /** 被考核对象id */
    @Excel(name = "被考核对象id")
    private Long bkhdxId;

    /** 被考核对象姓名 */
    @Excel(name = "被考核对象姓名")
    private String bkhdxName;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPcId(Long pcId)
    {
        this.pcId = pcId;
    }

    public Long getPcId()
    {
        return pcId;
    }

    public void setBkhdxType(String bkhdxType)
    {
        this.bkhdxType = bkhdxType;
    }

    public String getBkhdxType()
    {
        return bkhdxType;
    }

    public void setBkhdxId(Long bkhdxId)
    {
        this.bkhdxId = bkhdxId;
    }

    public Long getBkhdxId()
    {
        return bkhdxId;
    }

    public void setBkhdxName(String bkhdxName)
    {
        this.bkhdxName = bkhdxName;
    }

    public String getBkhdxName()
    {
        return bkhdxName;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pcId", getPcId())
                .append("bkhdxType", getBkhdxType())
                .append("bkhdxId", getBkhdxId())
                .append("bkhdxName", getBkhdxName())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
